body {
margin: 0;
padding: 0;
box-sizing: border-box;}


#header {
	color:  aquamarine;
}


/*Float Property*/
#float-left {
	background-color: orange;
	height: 150px;
	width: 70px;
	float: left;
}

/*Background Properties*/
#background {
	margin-top: 100px;
	min-height: 100vh;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-size: 100%;
	background-repeat: no-repeat;
}

#bg-container {
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

#bg-title {
	color:  white;
	text-align: center;
	font-size: 60px;
	margin:  0;
	line-height: 35rem;
}


/*CSS Positioning*/
#parent-element {
	background-color: skyblue;
	/*padding: 50px 10px 0px 0px;*/
	/*padding:  top right bottom left*/
	height: 800px;
	position:  relative;
}

#child-one {
	background-color: gray;
	padding: 10px;
}

#child-two {
	background-color: yellow;
	padding: 10px;
	position:  sticky;
	top: 10px;
}

#child-three {
	background-color: gray;
	padding: 10px;
	position: absolute;
	left: 50%;
}

html {
	height: 800vh;
}

/*Z-index Property*/

#container {
	position: relative;
}

#black-box {
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}

#gray-box {
	position: absolute;
	z-index: 3;
	background: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
}


#green-box {
	position:  absolute;
	z-index: 2;
	background: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
}
